SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
sf::SuspendAwareClock Struct Reference

Android, chrono-compatible, suspend-aware clock. More...

`#include <SFML/System/SuspendAwareClock.hpp>`

## Public Types
using | duration = std::chrono::nanoseconds
| Type traits and static members.
using | rep = duration::rep
using | period = duration::period
using | time_point = std::chrono::time_point<SuspendAwareClock, duration>

## Static Public Member Functions
static time_point | now () noexcept

## Static Public Attributes
static constexpr bool | is_steady = true

## Detailed Description

Android, chrono-compatible, suspend-aware clock.

Linux steady clock is represented by `CLOCK_MONOTONIC`. However, this implementation does not work properly for long-running clocks that work in the background when the system is suspended.

`SuspendAwareClock` uses `CLOCK_BOOTTIME` which is identical to `CLOCK_MONOTONIC`, except that it also includes any time that the system is suspended.

Note: In most cases, `CLOCK_MONOTONIC` is a better choice. Make sure this implementation is required for your use case.

Definition at line 54 of file SuspendAwareClock.hpp.

## Member Typedef Documentation

## ◆ duration

using sf::SuspendAwareClock::duration = std::chrono::nanoseconds

Type traits and static members.

These type traits and static members meet the requirements of a Clock concept in the C++ Standard. More specifically, TrivialClock requirements are met. Thus, naming convention has been kept consistent to allow for extended use e.g. https://en.cppreference.com/w/cpp/chrono/is_clock

Definition at line 66 of file SuspendAwareClock.hpp.

## ◆ period

using sf::SuspendAwareClock::period = duration::period

Definition at line 68 of file SuspendAwareClock.hpp.

## ◆ rep

using sf::SuspendAwareClock::rep = duration::rep

Definition at line 67 of file SuspendAwareClock.hpp.

## ◆ time_point

using sf::SuspendAwareClock::time_point = std::chrono::time_point<SuspendAwareClock, duration>

Definition at line 69 of file SuspendAwareClock.hpp.

## Member Function Documentation

## ◆ now()

static time_point sf::SuspendAwareClock::now | ( |  | ) |
| static noexcept

## Member Data Documentation

## ◆ is_steady

bool sf::SuspendAwareClock::is_steady = true
| static constexpr

Definition at line 71 of file SuspendAwareClock.hpp.

The documentation for this struct was generated from the following file:

- SuspendAwareClock.hpp